JBoss API: Class JDBCFindEntityCommand

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCFindEntityCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCFindEntityCommand

All Implemented Interfaces:
  JPMFindEntityCommand

public class JDBCFindEntityCommand
extends java.lang.Object
implements JPMFindEntityCommand

JAWSPersistenceManager JDBCFindEntityCommand

Version:
  $Revision: 1.6 $
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder
See Also:

Constructor Summary
`JDBCFindEntityCommand(JDBCCommandFactory factory)`

Method Summary
`java.lang.Object` | `execute(java.lang.reflect.Method finderMethod, java.lang.Object[] args, EntityEnterpriseContext ctx)`
`protected java.lang.Object` | `findByPrimaryKey(java.lang.Object id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCFindEntityCommand

    public JDBCFindEntityCommand(JDBCCommandFactory factory)

Method Detail

### execute

    public java.lang.Object execute(java.lang.reflect.Method finderMethod,
                                    java.lang.Object[] args,
                                    EntityEnterpriseContext ctx)
                             throws java.rmi.RemoteException,
                                    javax.ejb.FinderException

  Specified by:
    `execute` in interface `JPMFindEntityCommand`

### findByPrimaryKey

    protected java.lang.Object findByPrimaryKey(java.lang.Object id)
                                         throws javax.ejb.FinderException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.